<?php
namespace Claromentis\Core\Ai\Adapters\Vertex\Requests\Embedding;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_ab94c6905d095" . "dfa521d004d9e3" . "79b9e" => base64_decode("aW5zdGFuY2" . "Vz"), "_24ca62b4d01c" . "c6d515dfd0bea" . "4c9d59a" => base64_decode("Y29" . "udG" . "Vud" . "A=="));
use BadMethodCallException;
use Claromentis\Core\Ai\AiRequestInterface;
use Claromentis\Core\Ai\Parts\PartInterface;
use Webmozart\Assert\Assert;




class VertexAiTextEmbeddingRequest implements AiRequestInterface
{
    
    
    
    
    private array $parts;
    
    
    
    
    private string $modelName;
    
    
    
    
    
    public function __construct(array $_9961f986823b4be7f5c4cc8379c6b228, string $_accd9508aab49e8a94236732a64663dc)
    {
        Assert::allIsInstanceOf($_9961f986823b4be7f5c4cc8379c6b228, PartInterface::class);
        $this->parts = $_9961f986823b4be7f5c4cc8379c6b228;
        $this->modelName = $_accd9508aab49e8a94236732a64663dc;
    }
    public function isStreaming() : bool
    {
        return false;
    }
    public function getModelName() : string
    {
        return $this->modelName;
    }
    public function toArray() : array
    {
        
        
        
        
        $_9961f986823b4be7f5c4cc8379c6b228 = $this->parts;
        $_ab94c6905d095dfa521d004d9e379b9e = [];
        foreach ($_9961f986823b4be7f5c4cc8379c6b228 as $_d962cfd1735adb2dfba46f69c7f15cb8) {
            $_ab94c6905d095dfa521d004d9e379b9e[] = [$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_24ca62b4d01" . "cc6d515dfd0b" . "ea4c9d59a"] => $_d962cfd1735adb2dfba46f69c7f15cb8->getValue()];
        }
        return [$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ab94c69" . "05d095df" . "a521d004" . "d9e379b9" . "e"] => $_ab94c6905d095dfa521d004d9e379b9e];
    }
}